Loading...
Searching...
No Matches
QXmppMucManager Class Reference
Managers

The QXmppMucManager class makes it possible to interact with multi-user chat rooms as defined by XEP-0045: Multi-User Chat. More...

`#include <QXmppMucManager.h>`

Inheritance diagram for QXmppMucManager:
[legend]
Collaboration diagram for QXmppMucManager:
[legend]

## Signals

void | invitationReceived (const QString &roomJid, const QString &inviter, const QString &reason)
| This signal is emitted when an invitation to a chat room is received.
void | roomAdded (QXmppMucRoom *room)
| This signal is emitted when a new room is managed.
Signals inherited from QXmppLoggable
void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Public Member Functions

| QXmppMucManager ()
QXmppMucRoom * | addRoom (const QString &roomJid)
QList< QXmppMucRoom * > | rooms () const
| Returns the list of managed rooms.
Public Member Functions inherited from QXmppClientExtension
| QXmppClientExtension ()
virtual QStringList | discoveryFeatures () const
virtual QList< QXmppDiscoveryIq::Identity > | discoveryIdentities () const
virtual bool | handleStanza (const QDomElement &stanza)
| You need to implement this method to process incoming XMPP stanzas.
virtual bool | handleStanza (const QDomElement &stanza, const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
| You need to implement this method to process incoming XMPP stanzas.
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=nullptr)

## Properties

QList< QXmppMucRoom * > | rooms
| List of joined MUC rooms.

## Additional Inherited Members

Protected Member Functions inherited from QXmppClientExtension
QXmppClient * | client ()
virtual void | setClient (QXmppClient *client)
void | injectIq (const QDomElement &element, const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
bool | injectMessage (QXmppMessage &&message)
Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
void | info (const QString &message)
void | warning (const QString &message)
void | logReceived (const QString &message)
void | logSent (const QString &message)

## Detailed Description

The QXmppMucManager class makes it possible to interact with multi-user chat rooms as defined by XEP-0045: Multi-User Chat.

To make use of this manager, you need to instantiate it and load it into the QXmppClient instance as follows:

QXmppMucManager *manager = new QXmppMucManager;
client->addExtension(manager);
QXmppClientExtension::client
QXmppClient * client()
Definition QXmppClientExtension.cpp:78
QXmppClient::addExtension
bool addExtension(QXmppClientExtension *extension)
Definition QXmppClient.cpp:259
QXmppMucManager
The QXmppMucManager class makes it possible to interact with multi-user chat rooms as defined by XEP-...
Definition QXmppMucManager.h:41
QXmppMucManager::QXmppMucManager
QXmppMucManager()
Definition QXmppMucManager.cpp:43

You can then join a room as follows:

QXmppMucRoom *room = manager->addRoom("room@conference.example.com");
room->setNickName("mynick");
room->join();
QXmppMucManager::addRoom
QXmppMucRoom * addRoom(const QString &roomJid)
Definition QXmppMucManager.cpp:54
QXmppMucRoom
The QXmppMucRoom class represents a multi-user chat room as defined by XEP-0045: Multi-User Chat.
Definition QXmppMucManager.h:87
QXmppMucRoom::setNickName
void setNickName(const QString &nickName)
Definition QXmppMucManager.cpp:331
QXmppMucRoom::join
bool join()
Definition QXmppMucManager.cpp:229

## Constructor & Destructor Documentation

## QXmppMucManager()

QXmppMucManager::QXmppMucManager | ( |  | ) |

Constructs a new QXmppMucManager.

## Member Function Documentation

## addRoom()

QXmppMucRoom * QXmppMucManager::addRoom | ( | const QString & | roomJid | ) |

Adds the given chat room to the set of managed rooms.

Parameters

  roomJid |

The documentation for this class was generated from the following files:

- QXmppMucManager.h
- QXmppMucManager.cpp